build: always require device config

This commit is contained in:
Franco Fichtner 2019-05-07 12:14:34 +02:00
parent fd9e920b21
commit a7d78fcb79
1 changed files with 7 additions and 4 deletions

View File

@ -225,11 +225,14 @@ export CONFIGDIR="${TOOLSDIR}/config/${PRODUCT_SETTINGS}"
export DEVICEDIR="${TOOLSDIR}/device"
export PACKAGESDIR="/.pkg"
# load device-specific environment
if [ -f ${DEVICEDIR}/${PRODUCT_DEVICE}.conf ]; then
. ${DEVICEDIR}/${PRODUCT_DEVICE}.conf
if [ ! -f ${DEVICEDIR}/${PRODUCT_DEVICE}.conf ]; then
echo ">>> No configuration found for device ${PRODUCT_DEVICE}." >&2
exit 1
fi
# load device-specific environment
. ${DEVICEDIR}/${PRODUCT_DEVICE}.conf
# define and bootstrap target directories
export STAGEDIR="${STAGEDIRPREFIX}${CONFIGDIR}/${PRODUCT_FLAVOUR}:${PRODUCT_ARCH}"
export TARGETDIRPREFIX="/usr/local/opnsense/build"
@ -265,7 +268,7 @@ esac
for WANT in git ${PRODUCT_WANTS}; do
if ! pkg info ${WANT} > /dev/null; then
echo ">>> Required build package '${WANT}' is not installed."
echo ">>> Required build package '${WANT}' is not installed." >&2
exit 1
fi
done